Package com.independentsoft.office.odf.drawing

# Class GluePoint

java.lang.Object
com.independentsoft.office.odf.drawing.GluePoint

public class GluePoint extends Object
Represents a designated point in the area of a drawing object to which a connector shape can connect. All drawing objects have four standard glue points located at the center of the four edges of the object's bounding box.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GluePoint()`
  Initializes a new instance of the GluePoint class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GluePoint`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `Alignment`
  `getAlignment()`
  Gets the shape edge where a glue point is positioned.
  `EscapeDirection`
  `getEscapeDirection()`
  Gets the direction in which a connection line escapes from a drawing object if a connector connects to a glue point.
  `int`
  `getID()`
  Gets unrestricted identifiers to draw elements.
  `String`
  `getX()`
  Gets the horizontal position of the glue point.
  `String`
  `getY()`
  Gets the vertical position of the glue point.
  `void`
  `setAlignment​(Alignment alignment)`
  Sets the shape edge where a glue point is positioned.
  `void`
  `setEscapeDirection​(EscapeDirection escapeDirection)`
  Sets the direction in which a connection line escapes from a drawing object if a connector connects to a glue point.
  `void`
  `setID​(int id)`
  Sets unrestricted identifiers to draw elements.
  `void`
  `setX​(String x)`
  Sets the horizontal position of the glue point.
  `void`
  `setY​(String y)`
  Sets the vertical position of the glue point.
  `String`
  `toString()`
  Converts the value of the current GluePoint object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GluePoint

    public GluePoint()
    Initializes a new instance of the GluePoint class.

- ## Method Details

  - ### clone

    public GluePoint clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current GluePoint object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getID

    public int getID()
    Gets unrestricted identifiers to draw elements.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets unrestricted identifiers to draw elements.
    Parameters:
      `id` - the new id

  - ### getX

    public String getX()
    Gets the horizontal position of the glue point. The coordinate is either a percentage value relative to the drawing shape's center in horizontal direction.
    Returns:
      the x

  - ### setX

    public void setX​(String x)
    Sets the horizontal position of the glue point. The coordinate is either a percentage value relative to the drawing shape's center in horizontal direction.
    Parameters:
      `x` - the new x

  - ### getY

    public String getY()
    Gets the vertical position of the glue point. The coordinate is either a percentage value relative to the drawing shape's center in vertical direction.
    Returns:
      the y

  - ### setY

    public void setY​(String y)
    Sets the vertical position of the glue point. The coordinate is either a percentage value relative to the drawing shape's center in vertical direction.
    Parameters:
      `y` - the new y

  - ### getAlignment

    public Alignment getAlignment()
    Gets the shape edge where a glue point is positioned.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(Alignment alignment)
    Sets the shape edge where a glue point is positioned.
    Parameters:
      `alignment` - the new alignment

  - ### getEscapeDirection

    public EscapeDirection getEscapeDirection()
    Gets the direction in which a connection line escapes from a drawing object if a connector connects to a glue point.
    Returns:
      the escape direction

  - ### setEscapeDirection

    public void setEscapeDirection​(EscapeDirection escapeDirection)
    Sets the direction in which a connection line escapes from a drawing object if a connector connects to a glue point.
    Parameters:
      `escapeDirection` - the new escape direction